function [pcatype] = change_sign(pcatype1,ncomp)
%change_sign 				- changes the sign of a component and of its associated eigenvector
%function [pcatype1] = change_sign(pcatype,ncomp)
%
%Input argument:
%--------------
%pcatype : output argument of function pcatype
%
%Output argument:
%---------------
%pcatype1: new pca structure
%
%The function is useful when several PCAS has been computed.
%For the sake of clarity, it may be useful to have the axis oriented in (about)
%the same directions. In this way, the graphical representations may be
%easier to interpret.
%
%see also: function "smart_coord"


pcatype=pcatype1;
pcatype.score.d(:,ncomp)=pcatype.score.d(:,ncomp)*(-1);
pcatype.eigenvec.d(:,ncomp)=pcatype.eigenvec.d(:,ncomp)*(-1);
