function [detected,names]=check_name(s)
%check_name		- Controls if some strings are strictly identical in a string array
%function [detected,names]=check_name(string)
%
%Input argument: 
%--------------
%"string": a matrix of characters
%
%ouput argument:
%--------------
%detected: vectors giving the indices of the observations having the same
%name.
%names: matrix of characters giving the found identical name
%
%This function is mainly used in relationship with function "reorder" 

s=deblank(s);
[nrow,p]=size(s);
% find the sample matching the model
nirrelevant=0;
detected=zeros(nrow,1);
for row=1:nrow-1
   model=s(row,:);
   for row1=row+1:nrow
      if(strcmp(model,s(row1,:))==1)
          disp([model '  ' s(row1,:)])
          disp([row row1]);
          detected(row,1)=1;
         detected(row1,1)=1;
      end;	
    end;
 end;
 sum(detected);
 names=s(detected==1,:);