function [zmin, zmax]=surface1(saisir)
%surface1			- Represent a surface in three dimensions
%function [zmin, zmax]=surface1(X)
%
%Input argument:
%==============
%X:SAISIR matrix
%
%Output arguments:
%================
%zmin, zmax: max and min values in X.d
%
%
%% new version 6/10/2006

[n,p]=size(saisir.d);
zmin=min(min(saisir.d))
zmax=max(max(saisir.d))
x=str2num(saisir.i);
if(isnan(sum(x))|(isempty(x)));
    x=(1:n);
end
size(x)
y=str2num(saisir.v);
if(isnan(sum(y))|(isempty(y)));
y=(1:p);
end
%size(y)
%size(saisir.d)
surf(y,x,saisir.d);
shading flat
	

