function documentation_dico(fid,function_name);
%documentation_dico     -build a dictionnary for HTML doc
%function documentation_dico(fid,function_name);
%(no direct use)
%This function builds up a part of the automatic documentation
%This is a part of an HTML document as created by "build_documentation"

[n,p]=size(function_name);
w(fid,['<A NAME ="alphabetic_list">']);%%hypertext where to arrive 
w(fid,'</A>');
w(fid,'<FONT COLOR=blue>');
w(fid,'<H2 align="center"> Alphabetic list</H2>');
w(fid,'</FONT>');
w(fid,'<FONT size=+2>');
ncol=5;
nrow=ceil(round(n/ncol));
w(fid,'<TABLE>'); %% list of functions in a table
for i=1:ncol:(ncol*nrow) 
    w(fid,'<TR>');%% new row of the table
    %% w(fid,['<A HREF ="#alphabetic_list"> Return to alphabetic list </A>']);%%call hypertext
    for j=i:(i+ncol-1)
        if(j>n)
            break;
        end
        place=findstr('.m',function_name(j,:));
        aux=function_name(j,1:(place-1));%% name without ".m'
        w(fid,'<TD>');
        w(fid,['<A HREF ="#' aux '"> ' aux ' </A>']);%%call hypertext where to go   
        %w(fid,'</TD>');
    end;
end;
w(fid,'</TABLE>'); %% list of functions in a table
w(fid,'</FONT>');
    
w(fid,'<HR>');    
%% local function : printing in the documentation file
function w(fid,text);
text=char(text);
[n,p]=size(text);
for i = 1 :n
fprintf(fid,'%s\n',text(i,:));;
end
